aboutsummaryrefslogtreecommitdiffstats
path: root/sources/hv-collector-main/src/main/docker/entry.sh
diff options
context:
space:
mode:
authorPiotr Jaszczyk <piotr.jaszczyk@nokia.com>2019-03-21 09:10:11 +0100
committerPiotr Jaszczyk <piotr.jaszczyk@nokia.com>2019-03-21 09:13:51 +0100
commitd418dd43e7812ea2cdebf188bf5ab51a997df90c (patch)
tree60c33ac48330cca76bf8379ec5ed6fa48eac3e22 /sources/hv-collector-main/src/main/docker/entry.sh
parent30afcb56b0c6c4529fdaf68d7b061eee44d68d16 (diff)
Include basic configuration in Docker image
Makes the collector start out of the box, even without valid CBS configuration. Note: the basic configuration will need to be changed later. Issue-ID: DCAEGEN2-1340 Change-Id: I3c2b502f253677e78a4f4990002e683613b8869e Signed-off-by: Piotr Jaszczyk <piotr.jaszczyk@nokia.com>
Diffstat (limited to 'sources/hv-collector-main/src/main/docker/entry.sh')
-rwxr-xr-xsources/hv-collector-main/src/main/docker/entry.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/sources/hv-collector-main/src/main/docker/entry.sh b/sources/hv-collector-main/src/main/docker/entry.sh
new file mode 100755
index 00000000..a612e393
--- /dev/null
+++ b/sources/hv-collector-main/src/main/docker/entry.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+pid=-1
+
+function handle_sigterm() {
+ if [[ ${pid} -ge 0 ]]; then
+ echo "Caught SIGTERM signal. Redirecting to process with pid=${pid}"
+ kill -TERM "${pid}"
+ wait ${pid}
+ fi
+ exit 143 # 128 + 15 -- SIGTERM
+}
+trap "handle_sigterm" SIGTERM
+
+java ${JAVA_OPTS:-} -cp '*:' org.onap.dcae.collectors.veshv.main.MainKt $@ &
+pid=$!
+echo "Service started with pid=${pid}"
+wait ${pid}